Bug 16314 - Show upload link for upload plugin in basic MARC editor
Summary: Show upload link for upload plugin in basic MARC editor
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-20 21:47 UTC by Liz Rea
Modified: 2020-09-15 11:52 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.04


Attachments
Bug 16314: Show upload link for upload plugin in basic MARC editor (4.76 KB, patch)
2020-07-11 13:33 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16314: Show upload link for upload plugin in basic MARC editor (4.82 KB, patch)
2020-09-02 21:56 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 16314: Show upload link for upload plugin in basic MARC editor (4.85 KB, patch)
2020-09-09 12:21 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2016-04-20 21:47:52 UTC
The hover text for the upload file icon (commonly used with the 856u) says "Tag editor" when it should say something like "Select uploaded file." 

In truth, I think the icon should be different for this, as it's not really even the same sort of animal as the usual tag editor.
Comment 1 Owen Leonard 2020-07-11 13:33:07 UTC
Created attachment 106784 [details] [review]
Bug 16314: Show upload link for upload plugin in basic MARC editor

This patch updates the basic MARC editor to provide a plugin name
variable to the template, allowing us to make a check on the name and
conditionally show an upload link if the "upload.pl" cataloging plugin
is selected.

To test, apply the patch and rebuild the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

 - Go do Administration -> MARC bibliographic framework -> MARC
   structure -> 856 -> Edit subfields.
 - Edit the "u" subfield and select "upload.pl" as the plugin under
   "Other options."
 - Go to Cataloging and create or edit a MARC record.
 - Under tab 8 look for the 856 tag, subfield u. There should be an
   "Upload" link corresponding to the form field.
 - Click the upload link to confirm that it triggers a popup window with
   the upload form.
 - Confirm that other similar plugin links (for instance 100$a, 600$a)
   display the old "tag editor" icon.
Comment 2 ByWater Sandboxes 2020-09-02 21:56:22 UTC
Created attachment 109561 [details] [review]
Bug 16314: Show upload link for upload plugin in basic MARC editor

This patch updates the basic MARC editor to provide a plugin name
variable to the template, allowing us to make a check on the name and
conditionally show an upload link if the "upload.pl" cataloging plugin
is selected.

To test, apply the patch and rebuild the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

 - Go do Administration -> MARC bibliographic framework -> MARC
   structure -> 856 -> Edit subfields.
 - Edit the "u" subfield and select "upload.pl" as the plugin under
   "Other options."
 - Go to Cataloging and create or edit a MARC record.
 - Under tab 8 look for the 856 tag, subfield u. There should be an
   "Upload" link corresponding to the form field.
 - Click the upload link to confirm that it triggers a popup window with
   the upload form.
 - Confirm that other similar plugin links (for instance 100$a, 600$a)
   display the old "tag editor" icon.

Signed-off-by: Lisette Scheer <lisetteslatah@gmail.com>
Comment 3 Martin Renvoize 2020-09-09 12:21:06 UTC
Created attachment 109792 [details] [review]
Bug 16314: Show upload link for upload plugin in basic MARC editor

This patch updates the basic MARC editor to provide a plugin name
variable to the template, allowing us to make a check on the name and
conditionally show an upload link if the "upload.pl" cataloging plugin
is selected.

To test, apply the patch and rebuild the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

 - Go do Administration -> MARC bibliographic framework -> MARC
   structure -> 856 -> Edit subfields.
 - Edit the "u" subfield and select "upload.pl" as the plugin under
   "Other options."
 - Go to Cataloging and create or edit a MARC record.
 - Under tab 8 look for the 856 tag, subfield u. There should be an
   "Upload" link corresponding to the form field.
 - Click the upload link to confirm that it triggers a popup window with
   the upload form.
 - Confirm that other similar plugin links (for instance 100$a, 600$a)
   display the old "tag editor" icon.

Signed-off-by: Lisette Scheer <lisetteslatah@gmail.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2020-09-09 12:21:38 UTC
Nice improvement, works as expected, no regressions found and passes QA scripts.

Passing QA
Comment 5 Jonathan Druart 2020-09-09 13:40:28 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Aleisha Amohia 2020-09-15 11:52:40 UTC
backported to 20.05.x for 20.05.04 (comment for lucas)

enhancement, not backported to 19.11.x